org.apache.solr.search.facet

## Class BlockJoin

- java.lang.Object
- - org.apache.solr.search.facet.BlockJoin

-     public class BlockJoin
      extends Object

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockJoin()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DocSet` | `toChildren(DocSet parentInput, BitDocSet parentList, DocSet acceptDocs, QueryContext qcontext)` acceptDocs will normally be used to avoid deleted documents from being generated as part of the answer DocSet (just use *:*) although it can be used to further constrain the generated documents.
    `static DocSet` | `toParents(DocSet childInput, BitDocSet parentList, QueryContext qcontext)` childInput may also contain parents (i.e.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockJoin

          public BlockJoin()

  - ### Method Detail

    - #### toChildren

          public static DocSet toChildren(DocSet parentInput,
                                          BitDocSet parentList,
                                          DocSet acceptDocs,
                                          QueryContext qcontext)
                                   throws IOException

      acceptDocs will normally be used to avoid deleted documents from being generated as part of the answer DocSet (just use *:*) although it can be used to further constrain the generated documents.
      Throws:
        `IOException`

    - #### toParents

          public static DocSet toParents(DocSet childInput,
                                         BitDocSet parentList,
                                         QueryContext qcontext)
                                  throws IOException

      childInput may also contain parents (i.e. a parent or below will all roll up to that parent)
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.